#
# spec file for package xpdf (Version 3.00)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  freetype2 freetype2-devel ghostscript-fonts-std gpp libgpp openmotif openmotif-devel update-desktop-files xf86 xpm
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86 XFree86-devel XFree86-libs autoconf automake binutils cracklib fontconfig fontconfig-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext ghostscript-fonts-std libstdc++-devel libtool openmotif openmotif-devel openmotif-libs perl rpm update-desktop-files

%global momorel 4

Name:         xpdf
License:      GPL
Group:        Applications/Publishing
Version:      3.00
Release:      %{momorel}m
Autoreqprov:  on
Requires:     ghostscript-fonts, xpdf-config = %{version}
Summary:      A pdf-file viewer under X11
URL:          http://www.foolabs.com/xpdf/
BuildRoot:    %{_tmppath}/%{name}-%{version}-root

%NoSource 0 ftp://ftp.foolabs.com/pub/xpdf/xpdf-%{version}.tar.gz 95294cef3031dd68e65f331e8750b2c2
%NoSource 1 ftp://ftp.foolabs.com/pub/xpdf/xpdf-arabic-2003-feb-16.tar.gz 67f05f65bc64bf022b36138c7c26746d
%NoSource 2 ftp://ftp.foolabs.com/pub/xpdf/xpdf-chinese-simplified-2004-jan-16.tar.gz 7a92500278d4aa8089024d5d7266f4ac
%NoSource 3 ftp://ftp.foolabs.com/pub/xpdf/xpdf-chinese-traditional-2004-jan-16.tar.gz 1dd68bc924273e30534031d66f8a37c7
%NoSource 4 ftp://ftp.foolabs.com/pub/xpdf/xpdf-cyrillic-2003-jun-28.tar.gz 7b22f31289ce0812d2ec77014e7b0cdf
%NoSource 5 ftp://ftp.foolabs.com/pub/xpdf/xpdf-greek-2003-jun-28.tar.gz dacacda02b84b1184235a5fab072fbd8
%NoSource 6 ftp://ftp.foolabs.com/pub/xpdf/xpdf-hebrew-2003-feb-16.tar.gz 438dd417517641cbb78a94facf2d938e
%NoSource 7 ftp://ftp.foolabs.com/pub/xpdf/xpdf-japanese-2004-jan-16.tar.gz 2fe6d4701482af0d69084c574fe14d90
%NoSource 8 ftp://ftp.foolabs.com/pub/xpdf/xpdf-korean-2004-jan-16.tar.gz 01c1b151119ba96da6bc021ea2916256
%NoSource 9 ftp://ftp.foolabs.com/pub/xpdf/xpdf-latin2-2002-oct-22.tar.gz ac19ef990cd63afd2837c10dc7e1c3ab
%NoSource 10 ftp://ftp.foolabs.com/pub/xpdf/xpdf-thai-2002-jan-16.tar.gz 96e058c1b0429ae1ba0b50f1784b0985
%NoSource 11 ftp://ftp.foolabs.com/pub/xpdf/xpdf-turkish-2002-apr-10.tar.gz 511758c86e21328a241adc8590834ea2
Source20:     SuSEconfig.xpdf
Source21:     xpdf-cjk-config
Source22:     xpdfrc-cjk
Source23:     xpdfrc-cjk.sjis
Patch:        xpdf-%{version}-config.patch
Patch2:       xpdf-%{version}-fonts.patch
Patch3:       xpdf-%{version}-autoconf.patch
Patch4:       xpdf-%{version}-freetype.patch
Patch5:       xpdf-config-cjk.patch
Patch6:       xpdf-%{version}-ttf-cid-fix.dif
Patch7:       xpdf-%{version}-mkstemp.dif
Patch8:       xpdf-%{version}-print-ext-ttf.dif
#Patch9:       xpdf-i18n.patch
Patch10:      xpdf-settitle.patch
Patch11:      xpdf-search-non-ascii.patch
Patch12:      xpdf-fix-crash-for-fonts-with-embedded-bitmaps.patch

%description
This tool serves for viewing files in PDF (Portable Document Format).
It is designed to be small and efficient.



Authors:
--------
    Derek B. Noonburg <derekn@ece.cmu.edu>

%package -n xpdf-config
Summary:      xpdf-config
Group:        Applications/Publishing
Provides:     xpdf:/etc/xpdfrc

%description -n xpdf-config
xpdf-config

%prep
%setup -q -a 1 -a 2 -a 3 -a 4 -a 5 -a 6 -a 7 -a 8 -a 9 -a 10
%patch
%patch2
%patch3
%patch4
%patch5 -p1
%patch6 -p1
%patch7
%patch8 -p0
#%%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1

%build
%{?suse_update_config:%{suse_update_config -f }}
autoreconf -f -i
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
  ./configure --prefix=%{_prefix} \
            --sysconfdir=%{_sysconfdir} \
            --mandir=%{_mandir} \
            --enable-a4 \
	    --with-freetype2-library \
	    --without-t1-library \
	    --with-freetype2-includes=%{_includedir}/freetype2
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}/usr/share/xpdf
for file in xpdf-*/add-to-xpdfrc ; do
  sed -e "s|/usr/local/share/xpdf|/usr/share/xpdf|" -e "s|^displayCIDFontX|#displayCIDFontX|" $file >$file.new
  mv -f $file.new $file
  dir=`dirname $file`
  lang=`echo $dir|sed -e "s|xpdf-||"`
  cp -r $dir %{buildroot}/usr/share/xpdf/$lang
  echo >>%{buildroot}/etc/xpdfrc
  cat $file >>%{buildroot}/etc/xpdfrc
done
echo "# include font setup for CJK languages" >> %{buildroot}/etc/xpdfrc
echo "include /etc/xpdfrc-cjk-auto" >> %{buildroot}/etc/xpdfrc
echo "include /etc/xpdfrc-cjk" >> %{buildroot}/etc/xpdfrc
echo "include /etc/xpdfrc-cjk.sjis" >> %{buildroot}/etc/xpdfrc
touch %{buildroot}/etc/xpdfrc-cjk-auto
install -m 644 %{_sourcedir}/xpdfrc-cjk %{buildroot}/etc/xpdfrc-cjk
install -m 644 %{_sourcedir}/xpdfrc-cjk.sjis %{buildroot}/etc/xpdfrc-cjk.sjis
mkdir -p %{buildroot}/sbin/conf.d/
install -m 755 %{_sourcedir}/SuSEconfig.xpdf %{buildroot}/sbin/conf.d/
mkdir -p %{buildroot}/usr/sbin/
install -m 755 %{_sourcedir}/xpdf-cjk-config %{buildroot}/usr/sbin/
#%%suse_update_desktop_file -i %name Office Viewer

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/*.hlp ANNOUNCE COPYING README CHANGES
%{_bindir}/*
#/usr/share/applications/*.desktop
%{_mandir}/man1/*

%files -n xpdf-config
%defattr(-,root,root)
%{_sbindir}/xpdf-cjk-config
/sbin/conf.d/SuSEconfig.xpdf
%config(noreplace) /etc/xpdfrc
%config %verify(not md5 size mtime) /etc/xpdfrc-cjk-auto
%config /etc/xpdfrc-cjk
%config /etc/xpdfrc-cjk.sjis
%{_mandir}/man5/*
/usr/share/xpdf

%changelog -n xpdf
* Sun Jul 11 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (3.00-4m)
- change source URI

* Wed Jul  7 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.00-3m)
- revise config files

* Sun Jun 13 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.00-2m)
- change Requires to ghostscript-fonts
- use rpm macros

* Sun Jun 13 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.00-1m)
- momonganize
- - change release
- - use momorel
- - change Group
- - comment out Patch9: xpdf-i18n.patch
- - tmp comment out /usr/share/applications/*.desktop

* Mon May 10 2004 - mfabian@suse.de
- Bugzilla #39312:
- Comment 11: fix crash which occurs with fonts which have
  embedded bitmaps.
- add FZSongTi.ttf and FZMingTiB.ttf to xpdfrc-cjk
* Thu May 06 2004 - mfabian@suse.de, tiwai@suse.de
- Bugzilla #39312:
- apply Takashi's patch xpdf-3.00-print-ext-ttf.dif
  (has been forgotten). Takashi has improved the patch to support
  multiple faces in .ttc fonts.
- silently ignore non-existing font files to be able to
  configure more than one font in /etc/xpdfrc and let the
  last existing one win.
- add /sbin/conf.d/SuSEconfig.xpdf and /usr/sbin/xpdf-cjk-config
  to automatically create parts of the CJK font setup depending
  on the fonts actually installed.
- add /etc/xpdf-cjk and /etc/xpdf-cjk.sjis with manual
  refinements
- xpdf-i18n.patch: make it possible to display non-ASCII
  file names in the file-selector box by using fontsets
  instead of single fonts. Thanks to Gerd Knorr <kraxel@suse.de>
  for help.
- xpdf-search-non-ascii.patch: Make it possible to search for
  non-ASCII characters
- Bugzilla #39134: don't link against t1lib to avoid crashes
  in t1lib. freetype2 can render Type1 fonts as well, t1lib
  is therefore not needed.
* Wed Apr 21 2004 - tiwai@suse.de
- fixed the handling of truetype for CJK (bug #39312).
- replaced tmpnam() with mkstemp().
* Mon Mar 15 2004 - mfabian@suse.de
- Add "Provides: xpdf:/etc/xpdfrc" to xpdf-config sub-package.
* Sat Mar 13 2004 - mfabian@suse.de
- Bugzilla #33663: Split xpdf-config out of xpdf to make it
  possible for kpdf to require only the character maps and the
  config file /etc/xpdfrc and not the binary. kpdf needs the
  character maps and the config file to be able to display
  CJK .pdf files.
* Wed Mar 10 2004 - mfabian@suse.de
- Bugzilla #35524: improve the configuration to make xpdf work
  with Japanese, Korean, and traditional Chinese documents which
  don't embed the CJK fonts. It works only when the
  CID-keyed-fonts-* packages for the needed languages are
  installed.
* Mon Feb 09 2004 - nadvornik@suse.cz
- updated to 3.00
- pdf 1.5 support
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Thu Jan 08 2004 - nadvornik@suse.cz
- updated to 2.0.3
- fixed to compile wth new freetype
* Sat Aug 16 2003 - adrian@suse.de
- use translated desktop file from kappfinder
* Fri Aug 15 2003 - adrian@suse.de
- add desktop file
* Fri Jul 11 2003 - nadvornik@suse.cz
- updated to 2.02pl1
* Tue Jun 03 2003 - sndirsch@suse.de
- xpdf-2.01-fonts.patch:
  * use 17 pixel font instead of non-existing 16 pixel font
* Tue May 20 2003 - mmj@suse.de
- Package all man-files
* Tue Jan 07 2003 - nadvornik@suse.cz
- updated to 2.01
- switched to motif
- fixed possible buffer overflow
* Wed Jun 19 2002 - nadvornik@suse.cz
- update to 1.01
- improved I18N support
* Thu Nov 22 2001 - nadvornik@suse.cz
- update to 0.93:
- support for PDF 1.4
- support for TTF fonts
- use fonts from ghostscript-fonts-std
* Thu Jun 07 2001 - pblaha@suse.cz
- unused autoconf because many problems in old configure.in
* Mon Feb 19 2001 - mfabian@suse.de
- update to 0.92
- t1lib is a separate package now, remove it from this package
  and add it to #neededforbuild and Requires: instead.
- add configure options --enable-japanese, --enable-chinese-gb
  and --enable-chinese-cns
* Thu Feb 08 2001 - fober@suse.de
- Group Aplications/Text
* Mon Sep 18 2000 - bubnikv@suse.cz
- updated to 0.91
* Mon Aug 14 2000 - schwab@suse.de
- Add %%suse_update_config.
* Fri May 26 2000 - bubnikv@suse.cz
- sorted
* Mon May 15 2000 - bubnikv@suse.cz
- xpdf now uses t1 library for rendering fonts
- added buildroot
* Tue Jan 25 2000 - ro@suse.de
- fixed to compile
- specfile cleanup
- man to /usr/share using macro
* Wed Oct 27 1999 - fehr@suse.de
- changed to version 0.90
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jan 21 1999 - ro@suse.de
- use "const char*" where needed for strict typecheck
* Fri Dec 11 1998 - fehr@suse.de
- changed to version 0.80
* Mon Oct 05 1998 - ro@suse.de
- added libgpp to neededforbuild
* Mon Jul 06 1998 - fehr@suse.de
- New version 0.7a
* Wed Jun 04 1997 - fehr@suse.de
- New version 0.7
* Wed Apr 16 1997 - fehr@suse.de
- New version 0.6
* Thu Jan 02 1997 - fehr@suse.de
- New version 0.5
